Author: jfrederic.clere(a)jboss.com
Date: 2008-02-28 05:27:10 -0500 (Thu, 28 Feb 2008)
New Revision: 1391
Modified:
trunk/build/unix/util/buildrhelsrc.sh
Log:
test return code of uncompressing.
Modified: trunk/build/unix/util/buildrhelsrc.sh
===================================================================
--- trunk/build/unix/util/buildrhelsrc.sh 2008-02-28 10:12:34 UTC (rev 1390)
+++ trunk/build/unix/util/buildrhelsrc.sh 2008-02-28 10:27:10 UTC (rev 1391)
@@ -106,10 +106,18 @@
case $fname in
*.tar.bz2)
bzip2 -dc ${build_cache_dir}/${fname} | tar -xf -
+ if [ $? -ne 0 ];then
+ echo "extract $fname failed"
+ exit 1
+ fi
dirsources=`bzip2 -dc ${build_cache_dir}/${fname} | tar -tf - | head -1 | awk '{
print $1 }'`
;;
*.tar.gz)
gunzip -c ${build_cache_dir}/${fname} | tar -xf -
+ if [ $? -ne 0 ];then
+ echo "extract $fname failed"
+ exit 1
+ fi
dirsources=`gunzip -c ${build_cache_dir}/${fname} | tar -tf - | head -1 | awk '{
print $1 }'`
;;
*)
Show replies by date